Bug 82081 - Massive slowdowns and "Kicking stuck wait on blitter ring" on 4k DP1.2 monitor
Summary: Massive slowdowns and "Kicking stuck wait on blitter ring" on 4k DP1.2 monitor
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Damien Lespiau
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-03 02:09 UTC by Palmer Dabbelt
Modified: 2017-07-24 22:52 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
/sys/class/drm/card0/error (2.71 MB, text/plain)
2014-08-03 02:09 UTC, Palmer Dabbelt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Palmer Dabbelt 2014-08-03 02:09:27 UTC
Created attachment 103893 [details]
/sys/class/drm/card0/error

When I try to run any OpenGL application (specifically glxgears in this case) when my 4k DP1.2 monitor is plugged in my X slows down to a crawl and the application performs very poorly (glxgears reports between 0.1 and 0.5 FPS).  Note that this does not happen on my eDP non-4K monitor, so I can only assume it's somehow related to DP1.2/MST.  I can ^C glxgears, which takes maybe 10 seconds or so to stop.  The system then appears to re-fire a udev hotplug rule for my monitor, but is otherwise perfectly fine after glxgears quits.

I'm running 3.15.8 from the linux-stable git on an up-to-date Gentoo system.

I know absolutely nothing about DRM, so I'm afraid all I can really do is try and follow what my "dmesg" says.  Here's a log from three runs: first a glxgears run around 45s after boot with my DP1.2 monitor plugged in, then a run with the internal LCD (which may have produced that message at 389), and then a second run with the DP1.2 monitor plugged in around 700s.

I've also attached the suggested crash dump, which is from the third run (the second run with the DP1.2 monitor, when the system slowed down).

[   45.883781] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[   45.883787] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[   45.883789] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[   45.883790] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[   45.883792] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[   45.883794] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[   49.942317] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[   54.090836] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[   60.058668] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[   64.087182] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[  389.473669] [drm:ivb_err_int_handler] *ERROR* Pipe B FIFO underrun
[  585.887658] kworker/u16:0 (6) used greatest stack depth: 11224 bytes left
[  702.796036] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue
[  706.854572] [drm] GPU HANG: ecode -1:0x00000000, reason: Kicking stuck wait on blitter ring, action: continue

Here is some other stuff that may be relevant?

palmer palmer-mbp2014 ~ $ uname -a
Linux palmer-mbp2014 3.15.8 #9 SMP Sat Aug 2 18:46:42 PDT 2014 x86_64 Intel(R) Core(TM) i7-4750HQ CPU @ 2.00GHz GenuineIntel GNU/Linux

palmer-mbp2014 palmer # emerge -vp xorg-x11 mesa

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] x11-base/xorg-x11-7.4-r2  0 kB
[ebuild   R    ] media-libs/mesa-10.0.4  USE="classic egl gallium nptl -bindist -debug -gbm -gles1 -gles2 -llvm -llvm-shared-libs -opencl -openvg -osmesa -pax_kernel -pic -r600-llvm-compiler (-selinux) -vdpau -wayland -xa -xvmc" ABI_X86="(64) (-32) (-x32)" VIDEO_CARDS="intel (-freedreno) -i915 -i965 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 6,636 kB
Comment 1 Chris Wilson 2014-08-03 06:37:04 UTC
Your version of xf86-video-intel is too old, you need at least 2.99.903 (2013-09-28)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.